Skip to main content
PATCH
/
api
/
v2
/
account
/
settings
PATCH /api/v2/account/settings — Partially update user settings
curl --request PATCH \
  --url https://api.shuriken.trade/api/v2/account/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tradeSettings": {
    "autoEnableMultisend": true,
    "chainPresetsBuy": {},
    "chainPresetsSell": {},
    "defaultWallets": {
      "defaultWalletByNetwork": {
        "6": "wallet-sol-abc123"
      },
      "selectedWalletIdsByNetwork": {
        "6": {
          "walletIds": [
            "wallet-sol-abc123",
            "wallet-sol-def456"
          ]
        }
      }
    },
    "oneClickMode": {},
    "walletGroups": [
      {
        "id": "<string>",
        "name": "<string>",
        "networkId": 123,
        "walletIds": [
          "<string>"
        ]
      }
    ]
  }
}
'
{
  "data": {
    "tradeSettings": {
      "autoEnableMultisend": true,
      "chainPresetsBuy": {},
      "chainPresetsSell": {},
      "defaultWallets": {
        "defaultWalletByNetwork": {
          "6": "wallet-sol-abc123"
        },
        "selectedWalletIdsByNetwork": {
          "6": {
            "walletIds": [
              "wallet-sol-abc123",
              "wallet-sol-def456"
            ]
          }
        }
      },
      "oneClickMode": {},
      "walletGroups": [
        {
          "id": "<string>",
          "name": "<string>",
          "networkId": 123,
          "walletIds": [
            "<string>"
          ]
        }
      ]
    }
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json
tradeSettings
object
required

Partial trade settings for PATCH requests. All fields are optional — only provided fields overwrite the corresponding current value.

Response

Settings updated

V2 success response envelope

data
object
required

User settings response

requestId
string
required
pagination
object

Page-based pagination info (per RFC)